import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class CartPage3 extends StatefulWidget {
  const CartPage3({Key? key}) : super(key: key);

  @override
  State<CartPage3> createState() => _CartPage3State();
}

class _CartPage3State extends State<CartPage3> {
  final List _cartImage=[
    'assets/clothing/1.webp',
    'assets/clothing/2.webp',
    'assets/clothing/3.webp',
    'assets/clothing/4.webp',


  ];

  final List _cartName=[
    "Men's Jackets Casual Waterproof Blank Golf Lightweight Windbreaker Bomber Jacket For Men",
    'Wholesales Apparel stock men shorts Quality cargo shorts',
    "Men's Clothing Men's Hoodies & Sweatshirts Graphic Plus Size Women's Oversize Blank Hoodies Set",
    "custom logo 100% Cotton Men Crewneck french terry oversized Sweatshirt 3D Embossed",

  ];
  final List _cartQuantity=['2','1','1','3'];
  final List _cartPrice=['213','2341','132','3234'];
  final List _cartColor=['Black','Khaki','Red','Grey'];
  final List _cartSize=['L','M','XL','L'];





  @override
  Widget build(BuildContext context) {
    Size screenSize=MediaQuery.of(context).size;
    const myColor1=Colors.purpleAccent;
    const myColor2=Colors.purple;
    const myColor=Colors.deepPurple;
    return Scaffold(
        appBar: AppBar(
          toolbarHeight: 75,
            systemOverlayStyle: const SystemUiOverlayStyle(statusBarIconBrightness: Brightness.dark,statusBarColor: Colors.transparent),
            shadowColor: Colors.transparent,
            flexibleSpace: Container(
                alignment: Alignment.center,
                width: double.maxFinite,
                decoration: BoxDecoration(
                  gradient: LinearGradient(
                    begin: Alignment.topLeft,
                    end: Alignment.bottomRight,
                    colors: [myColor1,myColor2]
                  )
                ),
                child: Container(
                  alignment: Alignment.center,
                  height: 55,
                  margin: const EdgeInsets.only(top: 30,left: 20,right: 20),
                  decoration: BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(10),
                    boxShadow: [const BoxShadow(color: Colors.grey,spreadRadius: 2,blurRadius: 10)]
                  ),
                  child: TextFormField(
                    textInputAction: TextInputAction.search,
                    onFieldSubmitted: (text){
                      // Navigator.pushAndRemoveUntil(context, MaterialPageRoute(builder: (context)=>SearchScreen(search: text)), (route) => true);
                    },
                    decoration: const InputDecoration(
                      hintText: 'Search',
                        hintStyle: TextStyle(fontSize: 22),
                        contentPadding: EdgeInsets.zero,
                        enabledBorder: OutlineInputBorder(
                            borderSide: BorderSide.none
                        ),
                        focusedBorder: OutlineInputBorder(
                            borderSide: BorderSide.none
                        ),
                        prefixIcon: Icon(Icons.search,color: Colors.black,size: 30,)
                    ),
                  ),
                ))
        ),
        body:SingleChildScrollView(
          child: Column(
            children: [
              Padding(
                padding: const EdgeInsets.only(top: 10.0,left: 15),
                child: const Row(
                  children: [
                    Text('Subtotal:',style: TextStyle(fontSize: 35),),
                    SizedBox(width: 10,),
                    Text('\$14323',style: TextStyle(fontSize: 35,fontWeight: FontWeight.bold),),
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.only(left: 15.0),
                child: Row(
                  children: [
                    const Text('EMI Available',style: TextStyle(fontSize: 20),),
                    TextButton(onPressed: (){}, child: Text('Details',style: TextStyle(fontSize: 20,color: Colors.teal.shade700),))
                  ],
                ),
              ),
              Padding(
                padding: const EdgeInsets.only(left: 15.0),
                child: Align(
                  alignment: Alignment.centerLeft,
                    child: Row(
                      children: [
                        Icon(Icons.check_circle,color: Colors.teal.shade700,),
                        Text('Your order is eligible for Free Delivery.',style: TextStyle(fontSize: 21,fontWeight: FontWeight.bold,color: Colors.teal.shade700),),
                      ],
                    )),
              ),
              const SizedBox(height: 20,),
              Container(
                height: 60,
                margin: const EdgeInsets.symmetric(horizontal: 15),
                width: double.maxFinite,
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    color: Colors.yellow.shade600,
                    boxShadow:  [BoxShadow(
                        color: Colors.grey.withOpacity(.5),
                        blurRadius: 5,
                        offset: Offset(2,2)
                    )]
                ),
                child: ElevatedButton(
                  onPressed: (){},
                  child: const Text('Proceed to Buy',style: TextStyle(color:Colors.black,fontSize: 25),),
                  style: ElevatedButton.styleFrom(
                      shadowColor: Colors.transparent,
                      backgroundColor: Colors.transparent,
                      padding: const EdgeInsets.symmetric(horizontal: 50,vertical: 15)
                  ),
                ),
              ),
              ListView.builder(
                  physics: const ScrollPhysics(),
                  shrinkWrap: true,
                  itemCount: _cartImage.length,
                  itemBuilder: (context,index){
                    return Container(
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(10),
                        color: Colors.white,
                          boxShadow: [const BoxShadow(
                              color: Colors.grey,
                              blurRadius: 3,
                              spreadRadius: 2,
                              offset: Offset(0,3)
                          )]
                      ),
                       margin: const EdgeInsets.only(top: 20.0,left: 15,right: 15),
                      padding: const EdgeInsets.all(8),
                      child: Column(
                        children: [
                          Row(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              SizedBox(
                                width: screenSize.width*.35,
                                child: Image(
                                    height: 100,
                                    width: 100,
                                    image: AssetImage('${_cartImage[index]}')),
                              ),
                              const SizedBox(width: 10,),
                              Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: [
                                  SizedBox(
                                      width: screenSize.width*.45,
                                      child: Text('${_cartName[index]}',style: const TextStyle(fontSize: 18,overflow: TextOverflow.ellipsis),maxLines: 3,)),
                                  const SizedBox(height: 10),
                                  Row(
                                    children: [
                                      BoldText(text: '\u0024${_cartPrice[index]}'),
                                       BoldText(text: 'X'),
                                      BoldText(text: '${_cartQuantity[index]}',),
                                       BoldText(text: '='),
                                      BoldText(text: '${double.parse(_cartPrice[index])*double.parse(_cartQuantity[index])}')
                                    ],
                                  ),
                                  Text('In Stock',style: TextStyle(fontSize:18,color: Colors.teal.shade700 ),),
                                  Row(
                                    children: [
                                      Text('Color:',style: TextStyle(fontWeight: FontWeight.bold,fontSize: 16),),
                                      Text('${_cartColor[index]}',style: TextStyle(fontSize: 16),)
                                    ],
                                  ),
                                  Row(
                                    children: [
                                      Text('Size:',style: TextStyle(fontWeight: FontWeight.bold,fontSize: 16),),
                                      Text('${_cartSize[index]}',style: TextStyle(fontSize: 16),)
                                    ],
                                  ),
                                  Padding(
                                    padding: const EdgeInsets.symmetric(vertical: 5.0),
                                    child: Text('Return & Exchange Policy',style: TextStyle(color: Colors.teal.shade700,fontSize: 16),),
                                  ),
                                  SizedBox(height: 10,)


                                ],
                              ),

                            ],
                          ),
                          Row(
                            mainAxisAlignment: MainAxisAlignment.spaceBetween,
                            children: [
                              Container(
                                height: 40,
                                decoration: BoxDecoration(
                                    border: Border.all(color: Colors.grey.withOpacity(.5)),
                                  borderRadius: BorderRadius.circular(10)
                                ),
                                width: screenSize.width*.35,
                                child: Row(
                                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                                  children: [
                                    GestureDetector(
                                      onTap: (){},
                                      child: Container(
                                          width: 40,height: double.maxFinite,
                                          decoration: BoxDecoration(
                                              color: Colors.white.withOpacity(.7),
                                              borderRadius: BorderRadius.only(topLeft: Radius.circular(10),bottomLeft: Radius.circular(10)),
                                              boxShadow: [BoxShadow(color: Colors.grey,spreadRadius: 0,blurRadius: 3,)]
                                          ),
                                          child: const Icon(Icons.remove,color: myColor,)),
                                    ),
                                    Container(
                                      alignment: Alignment.center,
                                      width: 50,
                                        child: Text('${_cartQuantity[index]}',style: const TextStyle(fontSize: 20,color: myColor),)),
                                    GestureDetector(
                                      onTap: (){},
                                      child: Container(
                                          width: 40,height: double.maxFinite,
                                          decoration: BoxDecoration(
                                              color: Colors.white.withOpacity(.7),
                                              borderRadius: BorderRadius.only(topRight: Radius.circular(10),bottomRight: Radius.circular(10)),
                                              boxShadow: [BoxShadow(color: Colors.grey,spreadRadius: 0,blurRadius: 3,)]
                                          ),
                                          child: const Icon(Icons.add,color: myColor,)),
                                    ),

                                  ],
                                ),
                              ),
                              GestureDetector(
                                onTap: (){},
                                child: Container(
                                    padding: EdgeInsets.symmetric(horizontal: 20,vertical: 10),
                                    decoration: BoxDecoration(
                                        color: Colors.white,
                                        border: Border.all(color: Colors.grey.withOpacity(.5)),
                                        borderRadius: BorderRadius.circular(5),
                                        boxShadow: [BoxShadow(color: Colors.grey,blurRadius: 2,offset: Offset(2,0))]
                                    ),
                                    child: Text('Delete')),
                              ),
                              GestureDetector(
                                onTap: (){},
                                child: Container(
                                    padding: EdgeInsets.symmetric(horizontal: 10,vertical: 10),
                                    decoration: BoxDecoration(
                                        color: Colors.white,
                                        border: Border.all(color: Colors.grey.withOpacity(.5)),
                                        borderRadius: BorderRadius.circular(5),
                                        boxShadow: [BoxShadow(color: Colors.grey,blurRadius: 2,offset: Offset(2,0))]
                                    ),
                                    child: Text('Add to Favorite')),
                              ),

                            ],
                          )
                        ],
                      ),
                    );

                  }),
              const SizedBox(height: 50),

              const SizedBox(height: 50,)
            ],
          ),
        ));

  }


}

class BoldText extends StatelessWidget {
  String text;
   BoldText({
    super.key,
    required this.text
  }) ;


  @override
  Widget build(BuildContext context) {
    return Text(text,style: const TextStyle(fontWeight: FontWeight.bold,fontSize: 20),);
  }
}



